kind: Deployment
apiVersion: apps/v1
metadata:
  name: constellation
  labels:
    app: constellation
spec:
  replicas: 1
  selector:
    matchLabels:
      app: constellation
  template:
    metadata:
      labels:
        app: constellation
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: cconstellation
        imagePullPolicy: Always
        image: pega-docker.downloads.pega.com/constellationui/service:8.7.3-ga-37
        args:
        - root=/usr/src/app/dist
        - port=3000
        - urlPath=/c11n
        ports:
        - containerPort: 3000

---

apiVersion: v1
kind: Service
metadata:
  name: constellation
  labels:
    app: constellation
spec:
  type: NodePort
  selector:
    app: constellation
  ports:
    - protocol: TCP
      port: 443
      targetPort: 3000

---
